<?php

/*
 * DataTables example server-side processing script.
 *
 * Please note that this script is intentionally extremely simple to show how
 * server-side processing can be implemented, and probably shouldn't be used as
 * the basis for a large complex system. It is suitable for simple use cases as
 * for learning.
 *
 * See http://datatables.net/usage/server-side for full details on the server-
 * side processing requirements of DataTables.
 *
 * @license MIT - http://datatables.net/license_mit
 */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Easy set variables
 */

// DB table to use
$table = 'prev';

// Table's primary key
$primaryKey = 'id';

// Array of database columns which should be read and sent back to DataTables.
// The `db` parameter represents the column name in the database, while the `dt`
// parameter represents the DataTables column identifier. In this case simple
// indexes
$columns = array(
    array('db' => 'n_contrat', 'dt' => 0),
    array('db' => 'produit', 'dt' => 1),
    array('db' => 'etat_contrat', 'dt' => 2),
    array('db' => 'vendeur', 'dt' => 3),
    array('db' => 'effet_contrat', 'dt' => 4,
        'formatter' => function ($d, $row) {
            return date('jS M y', strtotime($d));
        }),
    array('db' => 'motif', 'dt' => 5),
    array('db' => 'date_fin', 'dt' => 6,
        'formatter' => function ($d, $row) {
            return date('jS M y', strtotime($d));
        }),
    array('db' => 'nom_assure', 'dt' => 7),
    array(
        'db' => 'date_naissance_assure',
        'dt' => 8,
        'formatter' => function ($d, $row) {
            return date('jS M y', strtotime($d));
        },
    ),
    array('db' => 'adresse1', 'dt' => 9),
    array('db' => 'adresse2', 'dt' => 10),
    array('db' => 'adresse3', 'dt' => 11),
    array('db' => 'code_postal', 'dt' => 12),
    array('db' => 'bureau_distributeur', 'dt' => 13),
    array('db' => 'telephone', 'dt' => 14),
    array('db' => 'garantie', 'dt' => 15),
    array('db' => 'montant_garantie', 'dt' => 16),
    array('db' => 'suppression_stage', 'dt' => 17),
    array('db' => 'periodeicite', 'dt' => 18),
    array('db' => 'mode_reglement', 'dt' => 19),
    array('db' => 'email', 'dt' => 20),
    array('db' => 'iban', 'dt' => 21),
    array('db' => 'cotisations', 'dt' => 22),
    array('db' => 'clause_beneficiaire', 'dt' => 23),
    array('db' => 'conjoint', 'dt' => 24),
    array('db' => 'enfant', 'dt' => 25),
    array('db' => 'insertion', 'dt' => 26),

);

// SQL server connection information
require 'getConnexion.php';

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * If you just want to use the basic configuration for DataTables with PHP
 * server-side, there is no need to edit below this line.
 */

require 'ssp.class.php';

echo json_encode(
    SSP::simple($_GET, $sql_details, $table, $primaryKey, $columns)
);
